# Class TCefV8InterceptorOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFv8Interceptor

## Declaration

`type TCefV8InterceptorOwn = class(TCefBaseRefCountedOwn, ICefV8Interceptor)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefV8InterceptorOwn

## Overview

### Methods

| `function GetByName(const name: ustring; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): boolean; virtual;`
| `function GetByIndex(index: integer; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): boolean; virtual;`
| `function SetByName(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): boolean; virtual;`
| `function SetByIndex(index: integer; const object_, value: ICefv8Value; var exception: ustring): boolean; virtual;`
| `constructor Create; virtual;`

## Description

### Methods

| `function GetByName(const name: ustring; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): boolean; virtual;`

This item has no description. Showing description inherited from ICefV8Interceptor.GetByName.

Handle retrieval of the interceptor value identified by |name|. |object| is the receiver ('this' object) of the interceptor. If retrieval succeeds, set |retval| to the return value. If the requested value does not exist, don't set either |retval| or |exception|. If retrieval fails, set |exception| to the exception that will be thrown. If the property has an associated accessor, it will be called only if you don't set |retval|. Return true (1) if interceptor retrieval was handled, false (0) otherwise.

| `function GetByIndex(index: integer; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): boolean; virtual;`

This item has no description. Showing description inherited from ICefV8Interceptor.GetByIndex.

Handle retrieval of the interceptor value identified by |index|. |object| is the receiver ('this' object) of the interceptor. If retrieval succeeds, set |retval| to the return value. If the requested value does not exist, don't set either |retval| or |exception|. If retrieval fails, set |exception| to the exception that will be thrown. Return true (1) if interceptor retrieval was handled, false (0) otherwise.

| `function SetByName(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): boolean; virtual;`

This item has no description. Showing description inherited from ICefV8Interceptor.SetByName.

Handle assignment of the interceptor value identified by |name|. |object| is the receiver ('this' object) of the interceptor. |value| is the new value being assigned to the interceptor. If assignment fails, set |exception| to the exception that will be thrown. This setter will always be called, even when the property has an associated accessor. Return true (1) if interceptor assignment was handled, false (0) otherwise.

| `function SetByIndex(index: integer; const object_, value: ICefv8Value; var exception: ustring): boolean; virtual;`

This item has no description. Showing description inherited from ICefV8Interceptor.SetByIndex.

Handle assignment of the interceptor value identified by |index|. |object| is the receiver ('this' object) of the interceptor. |value| is the new value being assigned to the interceptor. If assignment fails, set |exception| to the exception that will be thrown. Return true (1) if interceptor assignment was handled, false (0) otherwise.

| `constructor Create; virtual;`
This item has no description.

Generated by PasDoc 0.17.0.snapshot.